import java.awt.Font;
import java.awt.Color;
import javax.swing.JPanel;
import java.awt.Graphics;
import java.awt.Graphics2D;
import javax.swing.ImageIcon;


/**
 * CS1322: Programming Assignment #6 - Spring 2003
 *
 *  <PRE>
 *  Class MySigPanel.java-Displays my personalized signature.
 *
 *  Revisions: 1.0 Apr. 21, 2003
 *               Created the MySigPanel class
 *
 *  </PRE>
 *
 *  Collaboration statement:
 *  "I worked on the homework assignment alone, using only course materials."
 *
 *  @author <A HREF="mailto:gtg445h@mail.gatech.edu">Chris Wells</A>
 *  @version Version 1.0, Apr. 21, 2003
 */

public class MySigPanel extends JPanel {

  /**
   * The message to display on my sig.
   */
  private String message;

  /**
   * Creates a new <code>MySigPanel</code>.
   */
  public MySigPanel(String message) {
    this.message = message;
  }

  /**
   * Overwrites the <code>paintComponent</code> method to paint my sig
   * and the message.
   */
  protected void paintComponent(Graphics g) {
    g.setFont(new Font("Serif", Font.PLAIN, 14));
    g.setColor(new Color(0, 230, 255)); 
    ImageIcon sig = new ImageIcon("my_sig.jpg");
    g.drawImage(sig.getImage(), 0, 0, this.getWidth(), this.getHeight(),
		this);
    g.drawString(message + " Programmed by", 0, 14); 
  }

}// end of class MySigPanel
